Package org.apache.sysds.runtime.transform

## Enum TfUtils.TfMethod

- java.lang.Object
- - java.lang.Enum<TfUtils.TfMethod>
  - - org.apache.sysds.runtime.transform.TfUtils.TfMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<TfUtils.TfMethod>`

Enclosing class:
  TfUtils

    public static enum TfUtils.TfMethod
    extends Enum<TfUtils.TfMethod>

### Enum Constant Summary

Enum Constants
`BAG_OF_WORDS`
`BIN`
`DUMMYCODE`
`HASH`
`IMPUTE`
`OMIT`
`RECODE`
`UDF`
`WORD_EMBEDDING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static TfUtils.TfMethod` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TfUtils.TfMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IMPUTE

    public static final TfUtils.TfMethod IMPUTE

#### RECODE

    public static final TfUtils.TfMethod RECODE

#### HASH

    public static final TfUtils.TfMethod HASH

#### BIN

    public static final TfUtils.TfMethod BIN

#### DUMMYCODE

    public static final TfUtils.TfMethod DUMMYCODE

#### UDF

    public static final TfUtils.TfMethod UDF

#### OMIT

    public static final TfUtils.TfMethod OMIT

#### WORD_EMBEDDING

    public static final TfUtils.TfMethod WORD_EMBEDDING

#### BAG_OF_WORDS

    public static final TfUtils.TfMethod BAG_OF_WORDS

### Method Detail

#### values

    public static TfUtils.TfMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TfUtils.TfMethod c : TfUtils.TfMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TfUtils.TfMethod valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TfUtils.TfMethod>`